Bug 489198 - "lpr -o PageSize=Custom.4.125x9.5in" does not work in foomatic 4.0.0
"lpr -o PageSize=Custom.4.125x9.5in" does not work in foomatic 4.0.0
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Target
  Show dependency treegraph
 
Reported: 2009-03-08 11:20 EDT by Rick Richardson
Modified: 2010-04-12 06:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-12 06:05:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
hp1020.ppd (19.15 KB, text/plain)
2009-03-10 14:29 EDT, Rick Richardson
no flags Details

  None (edit)
Description Rick Richardson 2009-03-08 11:20:28 EDT
"lpr -o PageSize=Custom.4.125x9.5in" does not work in foomatic 4.0.0.  Worked fine in 3.0.2.

On 3.0.2 (Fedora 10):
$ uname -a
Linux kathleen.rkkda.org 2.6.27.19-170.2.35.fc10.i686 #1 SMP Mon Feb 23 13:21:22 EST 2009 i686 i686 i386 GNU/Linux

$ lpr -o PageSize=Custom.4.125x9.5in ~/proj/foo2zjs/testpage.ps

$ grep foo2zjs /var/log/messages
Mar  6 14:13:20 kathleen foo2zjs-wrapper: foo2zjs-wrapper -P -z1 -L0 -r1200x600 -pCustom.297x684 -s7 -m1 -n1
Mar  6 14:13:24 kathleen foo2zjs-wrapper: gs -sPAPERSIZE=letter -g4950x5700 -r1200x600 -sDEVICE=pbmraw -dCOLORSCREEN -dMaxBitmap=500000000  
Mar  6 14:13:24 kathleen foo2zjs-wrapper: foo2zjs -r1200x600 -g4950x5700 -p256 -m261 -n1 -d1 -s7 -z1  -u 2x100 -l 2x100 -L 0     -P

On 4.0.0:
$ lpr -o PageSize=Custom.4.125x9.5in ./testpage.ps

$ grep foo2zjs /var/log/messages
Mar 6 15:34:36 darjiling foo2zjs-wrapper: foo2zjs-wrapper -P -z1 -L0 -r1200x600 -p1 -m1 -s7
Mar 6 15:34:36 darjiling foo2zjs-wrapper: gs -sPAPERSIZE=letter -g10200x6600 -r1200x600 -sDEVICE=pbmraw -dCOLORSCREEN -dMaxBitmap=500000000
Mar 6 15:34:36 darjiling foo2zjs-wrapper: foo2zjs -r1200x600 -g10200x6600 -p1 -m1 -n1 -d1 -s7 -z1 -u 192x96 -l 192x96 -L 0 -P

On 4.0.0 CUPS debugging log:

D [07/Mar/2009:22:53:50 -0500] [Job 486] Found: %%BeginFeature: *CustomPageSize True
D [07/Mar/2009:22:53:50 -0500] [Job 486] Unknown option CustomPageSize=True foun
d in the job
D [07/Mar/2009:22:53:50 -0500] [Job 486] Found: %% FoomaticRIPOptionSetting: Pag
eSize=Custom
D [07/Mar/2009:22:53:50 -0500] [Job 486] Option: PageSize=Custom
D [07/Mar/2009:22:53:50 -0500] [Job 486] --> Invalid option setting found in job 

Difference: 3.0.2 -pCustom.297x684 versus 4.0.0 -p1 !!!

Please fix!
Comment 1 Tim Waugh 2009-03-10 13:25:36 EDT
Confirmed and reported upstream:
  http://bugs.linux-foundation.org/show_bug.cgi?id=318
Comment 2 Tim Waugh 2009-03-10 13:28:15 EDT
Could you please attach the PPD you are using?  It can be found in the /etc/cups/ppd directory.
Comment 3 Rick Richardson 2009-03-10 14:29:17 EDT
Created attachment 334689 [details]
hp1020.ppd
Comment 4 Tim Waugh 2009-03-11 09:55:47 EDT
The slightly alarming messages from foomatic-rip seem to be incorrect actually.  I can't get it to fail here with foomatic-4.0.0-2.fc11.  I see '-pCustom.297x684' in the command line options to foo2zjs-wrapper.

Please attach a complete error_log portion from a print run.
Comment 5 Bug Zapper 2009-06-09 08:01:42 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.